html,
body {
    color: #212121;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue",sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 150%;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
}

* {
    box-sizing: border-box;
}

h1 {
    font-size: 3rem;
    line-height: 3rem;
    margin: 0 0 .5rem 0;
}

.tagline {
    color: #919191;
    font-weight: bold;
    font-size: 1.5rem;
    line-height: 1.5rem;
    margin: 0;
}

.container {
    margin: 10vh auto;
    width: 650px;
    max-width: 100%;
}

nav {
    background-color: #FFBC2C;
    margin: 3rem 0 4rem 0;
    display: flex;
}

nav a {
    padding: 1rem 1.5rem;
    color: #212121;
    font-weight: 600;
    text-decoration: none;
    display: inline-block;
}

nav a:hover {
    background: rgba(255, 255, 255, 0.2);
}

nav a.active {
    color: #212121;
    background: rgba(255, 255, 255, 0.5);
}

table {
    border-collapse: collapse;
    width: 100%;
}

th {
    text-align: left;
}

td {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

fieldset {
    margin-bottom: 1rem;
}

form {
    margin-bottom: 1rem;
}

input[type="text"],
input[type="number"]{
    display: block;
    padding: 0.75rem;
    border: 1px solid rgb(158, 158, 158);
    margin-top: 0.125rem;
    outline: none;
    font-size: 1rem;
    line-height: 150%;
    color: rgb(66, 66, 66);
    background-color: rgb(255, 255, 255);
    width: 20rem;
}

small {
    display: block;
    color: #777777;
}

button[type="submit"] {
    display: inline-flex;
    -moz-box-align: center;
    align-items: center;
    -moz-box-pack: center;
    justify-content: center;
    position: relative;
    padding: calc(-2px + 0.75rem) calc(-2px + 1rem);
    min-width: 3rem;
    min-height: 3rem;
    border: 2px solid transparent;
    vertical-align: middle;
    font-size: 1rem;
    font-weight: 600;
    line-height: 150%;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    user-select: none;
    color: rgb(33, 33, 33);
    background-color: rgb(255, 188, 44);
}

button[type="submit"]::after {
    background-color: rgba(33, 33, 33, 0.25);
    content: "";
    position: absolute;
    height: 3px;
    bottom: -2px;
    left: -2px;
    right: -2px;
}

.diagram {
    margin: 1rem 0;
}

.hidden { display: none; }

.alert {
    padding: 1rem 1rem 1rem 3rem;
    background-repeat: no-repeat;
    background-size: 20px;
    background-position: 14px 18px;
    border-left: .25rem solid;
}

.alert--error {
    background-color: #FFDDE2;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='24' height='24'%3E%3Cpath fill='%23ff646e' d='M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm-1-7v2h2v-2h-2zm0-8v6h2V7h-2z' /%3E%3C/svg%3E%0A");
    border-left-color: #ff646e;
    margin-bottom: 1rem;
}

.alert--success {
    background-color: #DCE8D1;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='24' height='24'%3E%3Cpath fill='%2339870C' d='M10 15.172l9.192-9.193 1.415 1.414L10 18l-6.364-6.364 1.414-1.414z' /%3E%3C/svg%3E%0A");
    border-left-color: #39870C;
    margin-bottom: 1rem;
}

.alert__title {
     font-weight: 700;
     margin: 0;
 }

.alert__content {
     margin: 0;
 }

